org.apache.cxf.interceptor

## Interface InterceptorProvider

- All Known Subinterfaces:
    Binding, Bus, Client, Endpoint, Service
  All Known Implementing Classes:
    AbstractAttributedInterceptorProvider, AbstractBasicInterceptorProvider, AbstractEndpointFactory, AbstractInterceptorProvidingDataBinding, BlueprintBus, BusDefinitionParser.BusConfig, ClientImpl, EndpointImpl, ExtensionManagerBus, ServiceImpl, SpringBus, StaxDataBinding

      public interface InterceptorProvider

  The `InterceptorProvider` interface is implemented by objects that have interceptor chains associated with them. The methods in this interface provide the ability to add and remove interceptors to the chains of the InterceptorProvider.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Interceptor<? extends Message>>` | `getInFaultInterceptors()` Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
    `List<Interceptor<? extends Message>>` | `getInInterceptors()` Returns the list of interceptors attached to the incoming interceptor chain of the object.
    `List<Interceptor<? extends Message>>` | `getOutFaultInterceptors()` Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
    `List<Interceptor<? extends Message>>` | `getOutInterceptors()` Returns the list of interceptors attached to the outgoing interceptor chain of the object.

- - ### Method Detail

    - #### getInInterceptors

          List<Interceptor<? extends Message>> getInInterceptors()

      Returns the list of interceptors attached to the incoming interceptor chain of the object.
      Returns:
        `List` incoming interceptor chain

    - #### getOutInterceptors

          List<Interceptor<? extends Message>> getOutInterceptors()

      Returns the list of interceptors attached to the outgoing interceptor chain of the object.
      Returns:
        `List` outgoing interceptor chain

    - #### getInFaultInterceptors

          List<Interceptor<? extends Message>> getInFaultInterceptors()

      Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
      Returns:
        `List` incoming fault interceptor chain

    - #### getOutFaultInterceptors

          List<Interceptor<? extends Message>> getOutFaultInterceptors()

      Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
      Returns:
        `List` outgoing fault interceptor chain

Apache CXF